View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000002aMuleMiscpublic2004-04-10 19:482004-12-08 01:47
ReporterdeltaHF 
Assigned ToXaignar 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000002: crash on exit if amule can not write to disc
DescriptionProgram received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 30966)]
0x0833086c in typeinfo name for CKnownFile ()
(gdb) bt
#0 0x0833086c in typeinfo name for CKnownFile ()
0000001 0x08196875 in CDownloadQueue::CheckDiskspace(bool) (this=0x895e258, bNotEnoughSpaceLeft=false) at DownloadQueue.cpp:1262
0000002 0x08234986 in CPartFile::PauseFile(bool) (this=0x8a0a198, bInsufficient=false) at PartFile.cpp:2934
0000003 0x08235e80 in CPartFile::FlushBuffer() (this=0x8a0a198) at PartFile.cpp:3406
0000004 0x08228868 in ~CPartFile (this=0x8a0a198) at PartFile.cpp:333
0000005 0x081927a6 in ~CDownloadQueue (this=0x895e258) at DownloadQueue.cpp:185
0000006 0x082af160 in ~CamuleDlg (this=0x86629a8) at amuleDlg.cpp:590
0000007 0x40242aa4 in wxApp::DeletePendingObjects() () from /usr/lib/libwx_gtk-2.4.so.0
0000008 0x40242847 in wxApp::OnIdle(wxIdleEvent&) () from /usr/lib/libwx_gtk-2.4.so.0
0000009 0x402dde62 in wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) () from /usr/lib/libwx_gtk-2.4.so.0
0000010 0x402ddc8f in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib/libwx_gtk-2.4.so.0
#11 0x402427c1 in wxApp::ProcessIdle() () from /usr/lib/libwx_gtk-2.4.so.0
0000012 0x4024210f in wxapp_idle_callback () from /usr/lib/libwx_gtk-2.4.so.0
0000013 0x4065e95f in g_idle_dispatch () from /opt/gnome/lib/libglib-1.2.so.0
0000014 0x4065d70b in g_main_dispatch () from /opt/gnome/lib/libglib-1.2.so.0
0000015 0x4065dd98 in g_main_iterate () from /opt/gnome/lib/libglib-1.2.so.0
0000016 0x4065ded4 in g_main_run () from /opt/gnome/lib/libglib-1.2.so.0
0000017 0x4056c40f in gtk_main () from /opt/gnome/lib/libgtk-1.2.so.0
0000018 0x402429f2 in wxApp::MainLoop() () from /usr/lib/libwx_gtk-2.4.so.0
0000019 0x40294610 in wxAppBase::OnRun() () from /usr/lib/libwx_gtk-2.4.so.0
0000020 0x402430cd in wxEntry(int, char**) () from /usr/lib/libwx_gtk-2.4.so.0
0000021 0x082a524e in main (argc=1, argv=0xbffff374) at amule.cpp:117
(gdb) bt full
#0 0x0833086c in typeinfo name for CKnownFile ()
No symbol table info available.
0000001 0x08196875 in CDownloadQueue::CheckDiskspace(bool) (this=0x895e258, bNotEnoughSpaceLeft=false) at DownloadQueue.cpp:1262
        cur_file = (class CPartFile *) 0x8a097b8
        i = 2
        size = 3
        total = <incomplete type>
        free = <incomplete type>
        nTotalAvailableSpace = 8093696
0000002 0x08234986 in CPartFile::PauseFile(bool) (this=0x8a0a198, bInsufficient=false) at PartFile.cpp:2934
        packet = (Packet *) 0x8cfc5b8
0000003 0x08235e80 in CPartFile::FlushBuffer() (this=0x8a0a198) at PartFile.cpp:3406
        total = <incomplete type>
        free = <incomplete type>
        partCount = 141241052
        changedPart = (bool *) 0x895e550
0000004 0x08228868 in ~CPartFile (this=0x8a0a198) at PartFile.cpp:333
        pos = 0x0
0000005 0x081927a6 in ~CDownloadQueue (this=0x895e258) at DownloadQueue.cpp:185
        i = 1
        size = 3
0000006 0x082af160 in ~CamuleDlg (this=0x86629a8) at amuleDlg.cpp:590
        config = (struct wxConfigBase *) 0x8645fe0
        section = <incomplete type>
        x1 = 0
        y1 = 0
        x2 = 1271
        y2 = 815
0000007 0x40242aa4 in wxApp::DeletePendingObjects() () from /usr/lib/libwx_gtk-2.4.so.0
No symbol table info available.
0000008 0x40242847 in wxApp::OnIdle(wxIdleEvent&) () from /usr/lib/libwx_gtk-2.4.so.0
No symbol table info available.
0000009 0x402dde62 in wxEvtHandler::SearchEventTable(wxEventTable&, wxEvent&) () from /usr/lib/libwx_gtk-2.4.so.0
No symbol table info available.
0000010 0x402ddc8f in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib/libwx_gtk-2.4.so.0
No symbol table info available.
#11 0x402427c1 in wxApp::ProcessIdle() () from /usr/lib/libwx_gtk-2.4.so.0
No symbol table info available.
0000012 0x4024210f in wxapp_idle_callback () from /usr/lib/libwx_gtk-2.4.so.0
No symbol table info available.
0000013 0x4065e95f in g_idle_dispatch () from /opt/gnome/lib/libglib-1.2.so.0
No symbol table info available.
0000014 0x4065d70b in g_main_dispatch () from /opt/gnome/lib/libglib-1.2.so.0
No symbol table info available.
0000015 0x4065dd98 in g_main_iterate () from /opt/gnome/lib/libglib-1.2.so.0
No symbol table info available.
0000016 0x4065ded4 in g_main_run () from /opt/gnome/lib/libglib-1.2.so.0
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
0000017 0x4056c40f in gtk_main () from /opt/gnome/lib/libgtk-1.2.so.0
No symbol table info available.
0000018 0x402429f2 in wxApp::MainLoop() () from /usr/lib/libwx_gtk-2.4.so.0
No symbol table info available.
0000019 0x40294610 in wxAppBase::OnRun() () from /usr/lib/libwx_gtk-2.4.so.0
No symbol table info available.
0000020 0x402430cd in wxEntry(int, char**) () from /usr/lib/libwx_gtk-2.4.so.0
No symbol table info available.
0000021 0x082a524e in main (argc=1, argv=0xbffff374) at amule.cpp:117
No locals.
(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) y
/home/deltaHF/amule-dev/boot/priv-cvs/amule-dev-cvs/src/amule: Datei oder Verzeichnis nicht gefunden.
(gdb) run
`/home/deltaHF/amule-dev/boot/priv-cvs/amule-dev-cvs/src/amule' has changed; re-reading symbols.
Starting program:
No executable file specified.
Use the "file" or "exec-file" command.
(gdb) run
Additional Informationif u want to close amule and u have not enough discspace ("can't write to disc") amule crashes always .. see bt
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000026)
Kry (manager)
2004-04-15 13:42

Please someone check the code and add a if !onshutdown or whatever to KnownFile destructor.
(0000432)
Kry (manager)
2004-12-08 01:47

not anymore afaik

- Issue History
Date Modified Username Field Change
2004-04-10 19:48 deltaHF New Issue
2004-04-15 13:42 Kry Note Added: 0000026
2004-04-15 13:43 Kry Status new => assigned
2004-04-15 13:43 Kry Assigned To => Xaignar
2004-12-08 01:47 Kry Status assigned => resolved
2004-12-08 01:47 Kry Resolution open => fixed
2004-12-08 01:47 Kry Note Added: 0000432


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker